# Uses of Record Class
org.apache.lucene.search.TotalHits

Packages that use TotalHits
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of TotalHits in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as TotalHits
  Modifier and Type
  Field
  Description
  `TotalHits`
  TopDocs.`totalHits`
  The total number of hits for the query.
  Constructors in org.apache.lucene.search with parameters of type TotalHits
  Modifier
  Constructor
  Description
  ``
  `TopDocs(TotalHits totalHits, ScoreDoc[] scoreDocs)`
  Constructs a TopDocs.
  ``
  `TopFieldDocs(TotalHits totalHits, ScoreDoc[] scoreDocs, SortField[] fields)`
  Creates one of these objects.